//=============================================================================
// German MG42 ammunition class.
//
// Author: Neil Johnson, Gearbox Software.
//=============================================================================
class AmmoDEMG42_ extends gbxAmmo;


//---------------------------------------------------------
//	ApplyKick
//---------------------------------------------------------
function ApplyKick()
{
	local float diff_x, diff_y, diff_z;
	local vector v_kick;

	if ( Instigator != None && Instigator.Controller != None && Instigator.Controller.bIsHumanPlayer )
	{
		if (WeapDEMG42_( Instigator.Weapon ).IsZoomed() )
		{
			if (bRandomizeWeaponKick)
			{
				diff_x = WeaponKickZoomedMax.x - WeaponKickZoomedMin.x;
				diff_y = WeaponKickZoomedMax.y - WeaponKickZoomedMin.y;
				diff_z = WeaponKickZoomedMax.z - WeaponKickZoomedMin.z;

				v_kick.x = WeaponKickZoomedMin.x + FRand() * diff_x;
				v_kick.y = WeaponKickZoomedMin.y + FRand() * diff_y;
				v_kick.z = WeaponKickZoomedMin.z + FRand() * diff_z;
			}
			else
			{
				v_kick = WeaponKickZoomed;
			}

			gbxPawn(Instigator).ClientKickView( v_kick, KickRecoverRate, WeaponFovKick );
		}
		else
		{
			if (bRandomizeWeaponKick)
			{
				diff_x = WeaponKickMax.x - WeaponKickMin.x;
				diff_y = WeaponKickMax.y - WeaponKickMin.y;
				diff_z = WeaponKickMax.z - WeaponKickMin.z;

				v_kick.x = WeaponKickMin.x + FRand() * diff_x;
				v_kick.y = WeaponKickMin.y + FRand() * diff_y;
				v_kick.z = WeaponKickMin.z + FRand() * diff_z;
			}
			else
			{
				v_kick = WeaponKick;
			}

			gbxPawn(Instigator).ClientKickView( v_kick, KickRecoverRate, WeaponFovKick );
		}
	}
}

//=========================================================
//	Default Properties
//=========================================================
defaultproperties
{
    ItemName="German MG42 ammunition"

    PickupClass=None
    MaxAmmo=400
    InitialAmount=400

	bUnlimited=true
	BulletTracerClass=class'EmitterBulletTracerGerman'
	AmmoShellClass=class'ShellDEMG42_'

	WeaponKick=(x=0,y=0,z=0)
	WeaponKickMin=(x=-50,y=0,z=-30)
	WeaponKickMax=(x=50,y=0,z=250)
	WeaponKickZoomed=(x=0,y=0,z=0)
	WeaponKickZoomedMin=(x=-50,y=0,z=-30)
	WeaponKickZoomedMax=(x=50,y=0,z=250)
	KickRecoverRate=10.0;
	KickRecoverRateZoomed=10.0;
	bRandomizeWeaponKick=true
}
