class AttachmentDEPanzerfaust extends gbxWeaponAttachment;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_de.de_panzerfaust", class'StaticMesh')));
}

simulated function FlashMuzzleFlash( Vector MuzzleLocation )
{
	if (MuzFlash == None)
	{
		if (Instigator.IsFirstPerson())
		{
			if (gbxWeapon(Instigator.Weapon) != None)
				MuzFlash = gbxWeapon(Instigator.Weapon).GetMuzzleFlash();
		}
		else
		{
			MuzFlash = Spawn( MuzFlashClass, None );
		}
	}

	if (MuzFlash != None)
	{
		if( Level.TimeSeconds - LastFlashTime > MinFlashInterval )
		{
			MuzFlash.SetLocation( MuzzleLocation );

			if( Instigator.IsFirstPerson() )
			{
				MuzFlash.SetRotation( Instigator.GetViewRotation() );
			}
			else
			{
				MuzFlash.SetRotation( Rotation );
			}

			MuzFlash.Flash();
			LastFlashTime = Level.TimeSeconds;
		}
	}
}

simulated function DrawMuzzleFlash( Canvas canvas )
{
}

defaultproperties
{
	DrawScale=1.0
//    StaticMesh=StaticMesh's_npc_weapon_de.de_panzerfaust'
	DrawType=DT_StaticMesh

    LightType=LT_Pulse
    LightEffect=LE_NonIncidence
    LightPeriod=3
    LightBrightness=50
    LightHue=30
    LightSaturation=150
    LightRadius=4.0

	RelativeLocation=(X=0.000000,Y=1.0000,Z=-0.3000)

	MuzzleTagName=rifle_muzzle
	ChamberTagName=rifle_chamber

	bUseTracers=true
	TracerFrequency=1

	PawnAnimInfoClass=class'PawnAnimInfoFinalTwoHand'
	MuzFlashClass=class'gbxEffects.MuzzleFlashPanzerfaust'
}
