class AttachmentUSM1_ extends InstantFireWeaponAttachment;


var String EjectedClipCueName;
var Cue EjectedClipCue;

var M1EjectedClip	EjectedClip;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_us.us_m1", class'StaticMesh')));
}

simulated function Destroyed()
{
	if (EjectedClip != None)
		EjectedClip.Destroy();

	Super.Destroyed();
}

simulated function ClipDestroyed()
{
	EjectedClip = None;
}

simulated function bool EjectShell( Vector Location, class<gbxWeaponShells> ShellClass )
{
	local bool	bEjected;
	
	// Eject a normal shell casing
	if( Instigator.IsFirstPerson() && !PlayerController(Instigator.Controller).IsZoomed() )
	{
		bEjected = super.EjectShell( Location, ShellClass );
	}
    else if( Instigator != None && Instigator.PlayerCanSeeMe() )
	{
		bEjected = super.EjectShell( Location, ShellClass );
	}
	
	// Eject an empty ammo clip along with the last shell
	if ((Instigator.Weapon != None) && (Instigator.Weapon.ClipAmt <= 0))
	{
		// Spawn the clip emitter if it hasn't been created yet
		if( (EjectedClip == None) && bEjected )
			EjectedClip = Spawn(class'M1EjectedClip', Instigator.Weapon);

		if( EjectedClip != None )
		{
			EjectedClip.TriggerEmitters( Location, Instigator.Rotation );

			if( EjectedClipCueName != "" )
			{
				if( EjectedClipCue == None )
				{
					EjectedClipCue = LoadSound( EjectedClipCueName );
				}
				
				if( EjectedClipCue != None )
				{
					EjectedClip.PlayOwnedSoundCue(EjectedClipCue, SLOT_None,,,,, );
				}
			}
		}
	}
	
	return bEjected;
}

defaultproperties
{
	DrawScale=1.0
//    StaticMesh=StaticMesh's_npc_weapon_us.us_m1'
	DrawType=DT_StaticMesh

    //MuzFlashClass=class'gbxEffects.MuzzleFlashM1_'
    //bFlashForPrimary=true
    //bFlashLight=true

    LightType=LT_Pulse
    LightEffect=LE_NonIncidence
    LightPeriod=3
    LightBrightness=50
    LightHue=30
    LightSaturation=150
    LightRadius=4.0

	RelativeLocation=(X=0.000000,Y=1.0000,Z=-0.3000)

	MuzzleTagName=rifle_muzzle
	ChamberTagName=rifle_chamber

	bUseTracers=true
	TracerFrequency=1

	PawnAnimInfoClass=class'PawnAnimInfoFinalTwoHand'
	EjectedClipCueName="W_M1GARAND.CLIP_EJECT"
}
