//=============================================================================
// US Stuart tank 30 cal. machine gun 3rd person attachment class.
//=============================================================================
class AttachmentUSStuart30cal extends InstantFireWeaponAttachment;



var Vector MuzzleOffset;
var int Flash;
//---------------------------------------------------------
//	ThirdPersonEffects
//---------------------------------------------------------
simulated event ThirdPersonEffects()
{
	local Vector MuzzleVec;

	if (FlashCount==0)
		return;

	if ((MyAmmoTypeClass != None) && (FiringMode == WEAP_StateFiring))
	{
		MuzzleVec = GetMuzzleLocationWorld();

		if ( FiringMode == WEAP_StateFiring )
		{
			FlashMuzzleFlash( MuzzleVec );

			DoImpactEffects();
			
			if ((Instigator != None) && (Instigator.DrawType != DT_StaticMesh))
				EjectShell( GetChamberLocationWorld(), MyAmmoTypeClass.Default.AmmoShellClass );

			if( bUseTracers )
			{
				SendTracer( MuzzleVec, MyAmmoTypeClass.Default.BulletTracerClass );
			}
			if (gbxAmmo(Instigator.Weapon.Ammo[0]) != None)
				gbxAmmo(Instigator.Weapon.Ammo[0]).ApplyKick();
		}
	}
}

//---------------------------------------------------------
//	GetMuzzleLocationWorld
//---------------------------------------------------------
simulated function Vector GetMuzzleLocationWorld()
{
	
	local Vector X,Y,Z;
	local vector BoneLoc;

	GetAxes(Instigator.Weapon.Rotation, X,Y,Z);
	BoneLoc = WeapUSStuart30cal( Instigator.Weapon ).MyTankPawn.GetBoneCoords(WeapUSStuart30cal( Instigator.Weapon ).GunBoneName).origin;
	return BoneLoc + (MuzzleOffset.X*X) + (MuzzleOffset.Y*Y) + (MuzzleOffset.Z*Z);

}

//---------------------------------------------------------
//	InitFor
//---------------------------------------------------------
function InitFor(Inventory I)
{
	Instigator = I.Instigator;
}

//---------------------------------------------------------
//	FlashMuzzleFlash
//---------------------------------------------------------
simulated function FlashMuzzleFlash( Vector Location )
{
	if ( Instigator != None && Instigator.Weapon != None &&
		Instigator.Weapon.IsA( 'WeapUSStuart30cal' ) && Level.TimeSeconds - LastFlashTime > MinFlashInterval )
	{
		WeapUSStuart30cal( Instigator.Weapon ).FlashMuzzleFlash();
		LastFlashTime = Level.TimeSeconds;
	}
}

//---------------------------------------------------------
//	EjectShell
//---------------------------------------------------------
simulated function bool EjectShell( Vector Location, class<gbxWeaponShells> ShellClass )
{
	local	bool	bEjected;
	
	if (	( Flash % 2 ) == 0 &&
			Instigator != None && Instigator.Weapon != None &&
			Instigator.Weapon.IsA( 'WeapUSStuart30cal' ) )
	{
		if ( WeapUSStuart30cal( Instigator.Weapon ).CanSpawnShellCasing() )
			bEjected = super.EjectShell( Location, ShellClass );	
	}

	Flash++;
	
	return bEjected;
}

//=========================================================
//	Default Properties
//=========================================================
defaultproperties
{
    LightType=LT_Pulse
    LightEffect=LE_NonIncidence
    LightPeriod=3
    LightBrightness=50
    LightHue=30
    LightSaturation=150
    LightRadius=4.0

	bUseTracers=true;
	TracerFrequency=3;

	RelativeLocation=(X=0.000000,Y=1.0000,Z=-0.3000)

	MuzzleOffset=(X=100,Y=0,Z=0)

	PawnAnimInfoClass=class'PawnAnimInfoFinalStuart30cal'
}
