class FireDEFlakvierling extends InstantFire;

var transient gbxMuzzleFlash FlashEmitters[4];
var class<gbxMuzzleFlash> MuzzleFlashClass;

var class<emitter> TracerClass;

var Name	MuzzleFlashBones[4];
var int		TracerCount;

//---------------------------------------------------------
//	PostNetBeginPlay
//---------------------------------------------------------
function PostNetBeginPlay()
{
	local int x;

	Super.PostNetBeginPlay();
	
	if ( FlashEmitters[0] == None && MuzzleFlashClass != None )
    {
		for( x=0; x<4; x++)
		{
			FlashEmitters[x] = Spawn(MuzzleFlashClass);
			FlashEmitters[x].InitializeMuzzleFlash();
			FlashEmitters[x].Emitters[0].SuspendSpawning();
		}
    }

}

function PlayFiring()
{
	Super.PlayFiring();

	// DANGER: Super's version of this function MIGHT play the animation if you're in first-person mode.
	Weapon.PlayAnim(FireAnim, FireAnimRate, TweenTime);

	WeapDEFlakvierling( Weapon ).PlayFiring();
}

function StopFiring()
{	
	local int		x;
	Super.StopFiring();

	for( x=0; x<4; x++)
	{
		FlashEmitters[x].Emitters[0].SuspendSpawning();
	}
}

function SendTracer(int Muzzle)
{
	local Rotator	AimRot;
	local Emitter	Tracer;
	AimRot = TurretWeapon( Weapon ).GetFireRotation();	

	if(TracerCount==4)		//Every forth barrel we fire a tracer
	{	
		Tracer=Spawn(TracerClass,,,Weapon.GetBoneCoords( MuzzleFlashBones[Muzzle] ).Origin,AimRot);
		Tracer.Emitters[0].Trigger();
		TracerCount=0;
	}
	else
		TracerCount++;
}

simulated function FlashMuzzleFlashes( bool bFirstPass )
{
	local Rotator	AimRot;
	local int		x;	
	AimRot = TurretWeapon( Weapon ).GetFireRotation();	

	// GBX:PAD: Added this because it is now transient, so it won't be recreated in PostNetBeginPlay, so doing
	// this guarantees it will be created if not there.
	if ( FlashEmitters[0] == None && MuzzleFlashClass != None )
    {
		for( x=0; x<4; x++)
		{
			FlashEmitters[x] = Spawn(MuzzleFlashClass);
			FlashEmitters[x].InitializeMuzzleFlash();
			FlashEmitters[x].Emitters[0].SuspendSpawning();
		}
    }

	if ( bFirstPass )
	{
		FlashEmitters[0].SetLocation( Weapon.GetBoneCoords( MuzzleFlashBones[0] ).Origin );
		FlashEmitters[0].SetRotation( AimRot );
		FlashEmitters[0].Flash();		
		SendTracer(0);

		FlashEmitters[2].SetLocation( Weapon.GetBoneCoords( MuzzleFlashBones[2] ).Origin );
		FlashEmitters[2].SetRotation( AimRot );
		FlashEmitters[2].Flash();		
		SendTracer(2);
	}
	else
	{
		FlashEmitters[1].SetLocation( Weapon.GetBoneCoords( MuzzleFlashBones[1] ).Origin );
		FlashEmitters[1].SetRotation( AimRot );
		FlashEmitters[1].Flash();	
		SendTracer(1);

		FlashEmitters[3].SetLocation( Weapon.GetBoneCoords( MuzzleFlashBones[3] ).Origin );
		FlashEmitters[3].SetRotation( AimRot );
		FlashEmitters[3].Flash();
		SendTracer(3);
		
		Weapon.PlayOwnedSoundCue(FireSoundCue, Weapon.m_eNextWeaponSoundSlot, TransientSoundVolume,,,,true);	
	}	
}

simulated function PlayReloading()
{
	if ( Weapon.IsReloading() )
		return;
	
	//Weapon.ClientStopFire(0);

	WeapDEFlakvierling( Weapon ).PlayReloading();

    // TBD: reloading sound here

	Weapon.ClientState = WS_Reloading;
	bIsReloading = true;

	if (WeaponAttachment(Weapon.ThirdPersonActor) != None)
		Weapon.IncrementFlashCount(WeaponAttachment(Weapon.ThirdPersonActor).WEAP_StateReload);	
}

function DoTrace(Vector Start, Rotator Dir, optional out Vector End, optional out Vector EndDir)
{
}

defaultproperties
{
	AmmoClass=class'AmmoDEFlakvierling'
	MuzzleFlashClass=class'MuzzleFlashFlakvierling'
	TracerClass=class'EmitterFlakTracer'

	MuzzleFlashBones(0)=Dummy10
	MuzzleFlashBones(1)=Dummy11
	MuzzleFlashBones(2)=Dummy16
	MuzzleFlashBones(3)=Dummy17
	
	FireAnim=Fire
	FireAnimRate=1.0
	AmmoPerFire=1

	AIFireRateSP=0.4
	AIFireRateMP=0.4

	FireSoundName="W_ANTIAIR.Fire"

	TracerCount=0

}
