class FireDEMP40_ extends FireSubMachineGun;

var Emitter	ViewFlashEmitter;
var class<Emitter> ViewFlashEmitterClass;

/// SJP: The thompson muzzle flash doesn't work very well in first person, so provide an alternative here
simulated function Emitter GetMuzzleFlash()
{
	if ( Instigator.IsFirstPerson() )
    {
		if( ((ViewFlashEmitter == None) || ViewFlashEmitter.bDeleteMe) && ViewFlashEmitterClass != None )
		{
			ViewFlashEmitter = Spawn(ViewFlashEmitterClass);
			log("Spawned "$ViewFlashEmitter, 'weapon');
		}

		return ViewFlashEmitter;
    }
	else
	{
		return Super.GetMuzzleFlash();
	}
}

defaultproperties
{
    AmmoClass=class'AmmoDEMP40_'
    AmmoPerFire=1
    DamageType=class'DamageDEMP40_'
    //DamageMin=35
    //DamageMax=40
	Damage_Human_SP=(min=30,max=40)
	Damage_Human_MP=(min=30,max=30)
	Damage_AI_SP=(min=30,max=40)
	Damage_AI_MP=(min=30,max=30)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0
    FlashEmitterClass=class'gbxEffects.MuzzleFlashThompson'
	ViewFlashEmitterClass=class'gbxEffects.MuzzleFlashColt1911_'

	// One off sounds
	FireSoundName="W_MP40D.FIRE"
	
	// Loops
	FireLoopSoundName="W_MP40D.FIRELOOP"
	StereoFireLoopSoundName="W_MP40D.FIRELOOP_ST"
	FireEndLoopSoundName="W_MP40D.FIRELOOPEND"
	StereoFireEndLoopSoundName="W_MP40D.FIRELOOPEND_ST"

    FireForce="SubMachineGunFire"   // jdf

	PreFireTime=0.0
    FireRateSP=0.12	// 500 rpm
	FireRateMP=0.12	// 500 rpm
    AIFireRateSP=0.12
	AIFireRateMP=0.12
    bModeExclusive=true

	SuppressionMultiplierSP=0.5
	SuppressionMultiplierMP=0.4

    AimErrorMin_Human=400
	AimErrorMax_Human_Crouched=400
	AimErrorMax_Human_Standing=500
	AimErrorMax_Human_MovingSlow=500
	AimErrorMax_Human_MovingFast=500
	AimErrorMin_Human_Zoomed=350
	AimErrorMax_Human_Zoomed=800
	AimErrorMin_Human_FirstShot=50
	AimErrorMax_Human_FirstShot=60

	AimErrorMin_AI_MP=700
	AimErrorMax_AI_MP_Crouched=1400
	AimErrorMax_AI_MP_Standing=1400
	AimErrorMax_AI_MP_Moving=1400
	AimMultiplier_AI_MP_Sighted=1.0

	AimErrorMin_AI_SP=1200
	AimErrorMax_AI_SP_Crouched=1500
	AimErrorMax_AI_SP_Standing=2800
	AimErrorMax_AI_SP_Moving=5400
	AimMultiplier_AI_SP_Sighted=0.6

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

    TweenTime = 0.01

	bWaitForRelease=false
	bAccurateFirstShot=true

	// Burst count levels.
	Burst_High_SP=(Min=2,Max=5)
	Burst_High_MP=(Min=10,Max=20)
	Burst_Low_SP=(Min=5,Max=10)
	Burst_Low_MP=(Min=10,Max=20)
	Burst_Op_SP=(Min=5,Max=10)
	Burst_Op_MP=(Min=10,Max=32)

	ShotCountMod=3

	m_flRandomBurstRange=0.0

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1
	
	MinFireLoopSustainTime = 0.11
}
