class FireMelee extends WeaponFire;



var float LastFireTime;
var float MeleeRange;

event ModeDoFire()
{
	local float AppliedFireRate;

	if (!AllowFire())
		return;

	if( Instigator.IsFirstPerson() )
	{
		if( PlayerController(Instigator.Controller).IsZoomed() )
		{
			gbxPlayerController( Instigator.Controller ).ChangeView(0);
			if (gbxPlayerController( Instigator.Controller ).PendingDelayedAction == MeleeAfterZoomOut)
			{
				gbxPlayerController( Instigator.Controller ).PendingDelayedAction = NoAction;
				gbxPlayerController( Instigator.Controller ).bMeleeFire = 0;
			}
			else
			{
				return;
			}
		}

		PlayFiring();
	}

	if ( Level.NetMode == NM_Standalone )
		AppliedFireRate = FireRateSP;
	else
		AppliedFireRate = FireRateMP;

	if (WeaponAttachment(Weapon.ThirdPersonActor) != None)
		Weapon.IncrementFlashCount(WeaponAttachment(Weapon.ThirdPersonActor).WEAP_StateMelee);
	gbxWeapon(Weapon).m_fCanZoom = false;
	gbxWeapon(Weapon).m_fPlayingMelee = true;
	LastFireTime = Level.TimeSeconds;
	NextFireTime = Level.TimeSeconds + AppliedFireRate*Weapon.FireRateAtten;

    if (Weapon.Role == ROLE_Authority)
    {
        DoFireEffect();

        if (Weapon == None || Instigator == None)
		{
            return;
		}
    }

	// This is a bit of a hack, but we need to make sure that the player doesn't try to fire their weapon while this
	// grenade throw is going on.
	if (Weapon.FireMode[0] != None)
		Weapon.FireMode[0].NextFireTime = Level.TimeSeconds + AppliedFireRate*Weapon.FireRateAtten;
	if (Weapon.FireMode[1] != None)
		Weapon.FireMode[1].NextFireTime = Level.TimeSeconds + AppliedFireRate*Weapon.FireRateAtten;
}

simulated function PlayFiring()
{
	Weapon.m_flDrawOffset=0.0f; //-BB
	Super.PlayFiring();
	Weapon.ClientState = WS_Melee;
	Weapon.PlayMeleeSwooshSound( Instigator );
}

function DoFireEffect()
{
	/*	This code is not needed.  Damage from melee is done in gbxWeapon.MeleeFire() for players and in WargamePawn.CheckMeleeSuccess() for AI pawns.
	//local Actor	anObject;
	local gbxPawn aPawn;
	local vector HitLocation, HitNormal, StartTrace, SmackVelocity, X,Y,Z;

	Instigator.GetAxes(Instigator.GetViewRotation(), X, Y, Z);
	StartTrace = Instigator.Location - (Instigator.EyeHeight * vect(0,0,1));

	foreach VisibleCollidingActors(class'gbxPawn', aPawn, MeleeRange )
	{
		if ( aPawn == Instigator || aPawn.SameTeamAs( Instigator ) )
			continue;
		
		SmackVelocity = aPawn.Location - Instigator.Location;
		SmackVelocity.Z += 25.0;
		if ( !aPawn.bIsManningTurret )
		{
			aPawn.AddVelocity( 300.0 * Normal( SmackVelocity ) );
		}
		aPawn.ClientKickView( Vect(4000.0, 0, -1000.0 ), 1.0, 0.0 );
		aPawn.TakeDamage(80, Instigator, HitLocation, 30000.000000*HitNormal, gbxWeapon(Weapon).MyMeleeDamageType);
		break;
	}
	*/

}

event ModeHoldFire()
{
}

simulated function bool ReadyToFire()
{
	return AllowFire();
}

simulated function bool AllowFire()
{
	if ( Weapon.ClientState != WS_ReadyToFire )
		return false;
		
	if (Weapon.IsA('gbxWeapon') && (Pawn(Weapon.Owner) != None) && Pawn(Weapon.Owner).Controller.bIsHumanPlayer)
	{
		return !(gbxWeapon(Weapon).bAimingAtFriendly);
	}
	
	return true;
}

defaultproperties
{
    ProjPerFire=0
	Load=0

    FireAnim=Melee
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=None
	ReloadAnimRate=1.0

	PreFireTime=0.0
    FireRateSP=0.75
	FireRateMP=0.75
    AIFireRateSP=2.2
	AIFireRateMP=2.2
    bModeExclusive=true

    BotRefireRate=3.82
    //AimError=400

    ShakeOffsetMag=(X=1.0,Y=1.0,Z=1.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

	bWaitForRelease=false

//	FireSoundName="W_Grenade.Sounds.Use"

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=2

	MeleeRange=200.0
}
