class FireSecondaryItem extends ProjectileFire;



var float LastFireTime;
var float ClickTime;

const SECONDARY_INVENTORY_SHOW_TIME = 6.0;


event ModeDoFire()
{
	local float AppliedFireRate;

	if (!AllowFire())
		return;

	if (Level.NetMode != NM_Client)
	{
		gbxUsableItem( gbxPawn(Instigator).SecondaryWeapon ).Prepare();
	}

	if( Instigator.IsFirstPerson() )
	{
		if( PlayerController(Instigator.Controller).IsZoomed() )
		{
			gbxPlayerController( Instigator.Controller ).ChangeView(0);
			// GBX:PAD: I'm throwing this in here because the animation of throwing the grenade will interrupt the
			// zoom out animation, ths preventing the animend from resetting this value.
			Weapon.m_fZoomed = false;
		}

		FireAnim = gbxUsableItem( gbxPawn(Instigator).SecondaryWeapon ).GetUseAnimation();
		PlayFiring();
	}

	if ( Level.NetMode == NM_Standalone )
		AppliedFireRate = FireRateSP;
	else
		AppliedFireRate = FireRateMP;

	if (WeaponAttachment(Weapon.ThirdPersonActor) != None)
		Weapon.IncrementFlashCount(WeaponAttachment(Weapon.ThirdPersonActor).WEAP_StateThrow);
	gbxWeapon(Weapon).m_fCanZoom = false;
	LastFireTime = Level.TimeSeconds;
	NextFireTime = Level.TimeSeconds + AppliedFireRate*Weapon.FireRateAtten;

	// Set Hud fade variables for the grenades
	gbxPawn(Instigator).flSecondaryUIFadeTime = SECONDARY_INVENTORY_SHOW_TIME;	
	gbxPawn(Instigator).flSecondaryUILastFadeTime = Level.TimeSeconds;

	// This is a bit of a hack, but we need to make sure that the player doesn't try to fire their weapon while this
	// grenade throw is going on.
	if (Weapon.FireMode[0] != None)
		Weapon.FireMode[0].NextFireTime = Level.TimeSeconds + AppliedFireRate*Weapon.FireRateAtten;
	if (Weapon.FireMode[2] != None)
		Weapon.FireMode[2].NextFireTime = Level.TimeSeconds + AppliedFireRate*Weapon.FireRateAtten;

	if (Level.NetMode != NM_Client)
	{
		if( gbxPawn(Instigator).bUnloaded )	// RSC: added for infinite ammo cheat
			return; 

		if (gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).bCanHaveMultipleCopies) {
			gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).NumCopies -= 1;
		}
	}
}

simulated function PlayFiring()
{
	Super.PlayFiring();

//    if( gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).DummyGrenade == None )
//        gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).DummyGrenade = Spawn(gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).DummyGrenadeType);
    Weapon.AttachToBone(gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).DummyGrenade, Instigator.Controller.Pawn.GetWeaponBoneFor( gbxPawn(Instigator).SecondaryWeapon ));
	
	Weapon.ClientState = WS_ThrowGrenade;
}

event ModeHoldFire()
{
}

simulated function bool ReadyToFire()
{
	return AllowFire();
}

simulated function bool AllowFire()
{
	if ( gbxPawn(Instigator).SecondaryWeapon == None )
		return false;
	if ( Weapon.ClientState != WS_ReadyToFire )
		return false;
	if (gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).bCanHaveMultipleCopies)
		if (gbxUsableItem(gbxPawn(Instigator).SecondaryWeapon).NumCopies <= 0)
			return false;
	return true;
}

simulated function FireProjectile()
{
	if ((gbxPawn(Instigator) != None) && (gbxPawn(Instigator).SecondaryWeapon != None))
	{
		gbxUsableItem( gbxPawn(Instigator).SecondaryWeapon ).Use(1.0);
	}
	gbxWeapon(Weapon).m_fCanZoom = true;
}

defaultproperties
{
    ProjPerFire=1
	Load=1

    FireAnim=None
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

	Spread=0.020
    SpreadStyle=SS_Random
    PreFireTime=0.0
    FireRateSP=2.2
	FireRateMP=2.2
    AIFireRateSP=2.2
	AIFireRateMP=2.2
    bModeExclusive=true

    BotRefireRate=3.82
    //AimError=400

    ShakeOffsetMag=(X=1.0,Y=1.0,Z=1.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

	bWaitForRelease=true

//	FireSoundName="W_Grenade.Sounds.Use"

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=4
}
