class FireUSThompson extends FireSubMachineGun;

var Emitter	ViewFlashEmitter;
var class<Emitter> ViewFlashEmitterClass;

/// SJP: The thompson muzzle flash doesn't work very well in first person, so provide an alternative here
simulated function Emitter GetMuzzleFlash()
{
	if ( Instigator.IsFirstPerson() )
    {
		if ( ( ViewFlashEmitter == None || ViewFlashEmitter.bDeleteMe ) && ViewFlashEmitterClass != None )
		{
			ViewFlashEmitter = Spawn(ViewFlashEmitterClass);
			log("Spawned "$ViewFlashEmitter, 'weapon');
		}

		return ViewFlashEmitter;
    }
	else
	{
		return Super.GetMuzzleFlash();
	}
}

defaultproperties
{
    AmmoClass=class'AmmoUSThompson'
    AmmoPerFire=1
    DamageType=class'DamageUSThompson'
    //DamageMin=35
    //DamageMax=40
	Damage_Human_SP=(min=35,max=45)
	Damage_Human_MP=(min=30,max=30)
	Damage_AI_SP=(min=35,max=45)
	Damage_AI_MP=(min=30,max=30)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0
    FlashEmitterClass=class'gbxEffects.MuzzleFlashThompson'
	ViewFlashEmitterClass=class'gbxEffects.MuzzleFlashThompsonView'

	// One off sounds
	FireSoundName="W_THOMPSON.FIRE"
	
	// Loops
	FireLoopSoundName="W_THOMPSON.FIRELOOP"
	StereoFireLoopSoundName="W_THOMPSON.FIRELOOPA_ST"
	FireEndLoopSoundName="W_THOMPSON.FIRELOOPEND"
	StereoFireEndLoopSoundName="W_THOMPSON.FIRELOOPAEND_ST"
	

    FireForce="SubMachineGunFire"   // jdf

	PreFireTime=0.0
    FireRateSP=0.091	// 660 rpm (Thompson was rated at 600-725 rpm)
	FireRateMP=0.091	// 660 rpm (Thompson was rated at 600-725 rpm)
    AIFireRateSP=0.091
	AIFireRateMP=0.091
    bModeExclusive=true

    SuppressionMultiplierSP=0.5
	SuppressionMultiplierMP=0.5

	AimErrorMin_Human=350
	AimErrorMax_Human_Crouched=400
	AimErrorMax_Human_Standing=500
	AimErrorMax_Human_MovingSlow=500
	AimErrorMax_Human_MovingFast=700
	AimErrorMin_Human_Zoomed=250
	AimErrorMax_Human_Zoomed=650
	AimErrorMin_Human_FirstShot=50
	AimErrorMax_Human_FirstShot=60

	AimErrorMin_AI_MP=540
	AimErrorMax_AI_MP_Crouched=1300
	AimErrorMax_AI_MP_Standing=1300
	AimErrorMax_AI_MP_Moving=1800
	AimMultiplier_AI_MP_Sighted=1.0

	AimErrorMin_AI_SP=700
	AimErrorMax_AI_SP_Crouched=800
	AimErrorMax_AI_SP_Standing=1000
	AimErrorMax_AI_SP_Moving=1300
	AimMultiplier_AI_SP_Sighted=0.8

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

    TweenTime = 0.01

	bWaitForRelease=false

	// Burst count levels.
	Burst_High_SP=(Min=2,Max=5)
	Burst_High_MP=(Min=5,Max=15)
	Burst_Low_SP=(Min=5,Max=10)
	Burst_Low_MP=(Min=5,Max=15)
	Burst_Op_SP=(Min=5,Max=10)
	Burst_Op_MP=(Min=7,Max=20)

	ShotCountMod=3

	m_flRandomBurstRange=0.0

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1
	
	bAccurateFirstShot=true
	
	MinFireLoopSustainTime = 0.08
}
