class FlakvierlingFactory extends Actor
	placeable;


//---------------------------------------------------------
// Variables
//---------------------------------------------------------
var		WeapDEFlakvierling		Gun;
var()	Name					GunnerToDraft, LeftLoaderToDraft, RightLoaderToDraft;
var()	Name					DeathEvent;
var()	float					EnemyTooCloseDist;
var()	bool					bAllowTNT;
var()	bool					RecruitImmediately;

//---------------------------------------------------------
//	SpawnGun
//---------------------------------------------------------
function SpawnGun()
{
	Gun = Spawn( class'WeapDEFlakvierling', Self );
}

//---------------------------------------------------------
//	PostNetBeginPlay
//---------------------------------------------------------
function PostBeginPlay()
{
	local TNTTrigger aTNTTrigger;

	SpawnGun();

	Gun.GunnerToDraft = GunnerToDraft;
	Gun.LeftLoaderToDraft = LeftLoaderToDraft;
	Gun.RightLoaderToDraft = RightLoaderToDraft;
	Gun.EnemyTooCloseDist = EnemyTooCloseDist;
	Gun.bDontRecruit = !RecruitImmediately;
	Gun.Tag = Self.Tag;
	Gun.DeathEvent = DeathEvent;

	if ( bAllowTNT )
	{
		aTNTTrigger = Spawn( class'TNTTrigger', Gun );
		aTNTTrigger.SetCollisionSize( Self.CollisionRadius, aTNTTrigger.CollisionHeight );
		aTNTTrigger.m_aUseTarget = Gun;
		aTNTTrigger.SetBase(Self);
		aTNTTrigger.SetCollision(true, false, false);

		Gun.MyTNTTrigger = aTNTTrigger;
	}
}

//=========================================================
//	Default Properties
//=========================================================
defaultproperties
{
	DrawType=DT_Mesh
//	Mesh=k_prop.de_flakv
	EditorMeshName="k_prop.de_flakv"
	bHidden=true
	EnemyTooCloseDist=1000.0
	CollisionRadius=300.0
	bAllowTNT=true
	RecruitImmediately=true

	bOpaqueForSituationalAwarenessView=true

	bAlphaFogable=True
    bAlphaFogBlend=true
}
