// This class bridges the gap between gbxBase and gbxInventory packages
// so that clients can get correct 3rd person weapon effects 2004-08-16 JWS
class InstantFireWeaponAttachment extends gbxWeaponAttachment;

var byte OldSpawnHitCount;

// From UT2k3 2004-08-16 JWS
var vector					mHitNormal;
var material				mHitMaterial;
var bool					mHitWater;
var Actor                   mHitActor;
/* UpdateHit
- used to update properties so hit effect can be spawn client side
*/
event UpdateHit(Actor HitActor, vector HitLocation, vector HitNormal, material HitMaterial, bool HitWater)
{
	SpawnHitCount++;
	mHitActor = HitActor;
	mHitLocation = HitLocation;
	mHitNormal = HitNormal;
	mHitMaterial = HitMaterial;
	mHitWater = HitWater;
}

simulated function GetHitInfo()
{
	local vector HitLocation, start;
	start = Instigator.Location + Instigator.EyePosition(); // from InstantFire::ClientDoFireEffect() 2004-08-17 JWS
	
	// have to overshoot the traceend a bit because otherwise the trace doesn't work...
	bTraceWater=true;
	mHitActor=Trace(HitLocation,	// HitLocation
		  mHitNormal,	// HitNormal
		  mHitLocation+(0.1*(mHitLocation-start)),	// TraceEnd
		  start,		// TraceStart
		  true,			// bTraceActors
		  ,				// Extent
		  mHitMaterial, // Material
		  true,			// bTraceCollisionBoxes
		  false);		// bNotifyListeners // client no longer generates his own bullet whiz events 2004-08-21 JWS
	bTraceWater=false;

	if(mHitActor.IsA('WaterVolume'))
		mHitWater=true;
	else
		mHitWater=false;

}

// something very much like this code used to be in InstantFire::DoTrace()
simulated function DoImpactEffects()
{

	local IImpactManager ImpactMgr;
	local vector ImpactLoc;

	ImpactMgr = Level.ImpactMgr;
	
	if ( ImpactMgr != None && Level.NetMode != NM_DedicatedServer )
	{
		if ( OldSpawnHitCount != SpawnHitCount )
		{
			OldSpawnHitCount = SpawnHitCount;

			// Only the client needs to get hit info and generate bullet whiz sounds here.
			// The server already did this in InstantFire::DoTrace() 2004-08-16 JWS
			if ( Level.NetMode == NM_Client )
			{
				GetHitInfo();
			}

			// offset the impact location slightly to prevent spawning stuff inside walls...
			ImpactLoc = mHitLocation + (mHitNormal * 2.0f);
			ImpactMgr.HandleBulletImpact(mHitActor, Instigator, mHitMaterial, mHitWater, WC_Rifle, ImpactLoc, rotator(mHitNormal) );
		}
	}
}
