class MortarFactory extends Actor
	placeable;


//---------------------------------------------------------
// Properties
//---------------------------------------------------------

//---------------------------------------------------------
// Variables
//---------------------------------------------------------
var		WeapDEMortar		Gun;
var()	Name				GunnerToDraft, LeftLoaderToDraft, RightLoaderToDraft;
var()	float				EnemyTooCloseDist;
var()	float				NoticeBulletImpactsDist;	// GBX:naj - fixes bug 3876
var()	Name				MortarName, MountEvent, DismountEvent, StopFiringEvent;
var()	bool				RecruitImmediately;
var()	bool				DismountWhenNearbyImpacts;
var()	bool				DismountWhenNearbyWhizzes;
var()	bool				FireRateIndependent;
var()	int					MaximumCrewSize;

//---------------------------------------------------------
//	SpawnGun
//---------------------------------------------------------
function SpawnGun()
{
	Gun = Spawn( class'WeapDEMortar', Self );
}

//---------------------------------------------------------
//	PostNetBeginPlay
//---------------------------------------------------------
function PostBeginPlay()
{
	SpawnGun();	

	Gun.Tag = MortarName;
	Gun.GunnerToDraft = GunnerToDraft;
	Gun.LeftLoaderToDraft = LeftLoaderToDraft;
	Gun.RightLoaderToDraft = RightLoaderToDraft;
	Gun.MountEvent = MountEvent;
	Gun.DismountEvent = DismountEvent;
	Gun.StopFiringEvent = StopFiringEvent;
	Gun.EnemyTooCloseDist = EnemyTooCloseDist;
	Gun.bDontRecruit = !RecruitImmediately;
	Gun.MaxCrewSize = Clamp( MaximumCrewSize, 1, 3 );
	Gun.bDismountWhenNearbyImpacts = DismountWhenNearbyImpacts;
	Gun.bDismountWhenNearbyWhizzes = DismountWhenNearbyWhizzes;
	Gun.bFireRateIndependent = FireRateIndependent;
	Gun.NoticeBulletImpactsDist = NoticeBulletImpactsDist;
}

//=========================================================
//	Default Properties
//=========================================================
defaultproperties
{
//	DrawType=DT_StaticMesh
//	StaticMesh=StaticMesh's_military_de.Weapon.mortar'
	DrawType=DT_Sprite
	Texture=Texture'Engine.S_Weapon'
	bHidden=true
	EnemyTooCloseDist=1500.0
	MaximumCrewSize=3
	RecruitImmediately=true
	FireRateIndependent=false

	bOpaqueForSituationalAwarenessView=true

	bAlphaFogable=True
    bAlphaFogBlend=true

	NoticeBulletImpactsDist=1000.0f
}
