class Pak36Factory extends Actor
	placeable;

//---------------------------------------------------------
// Properties
//---------------------------------------------------------
var(Pak36Factory)	Name	GunnerToDraft, LoaderToDraft;
var(Pak36Factory)	Name	MountEvent, DismountEvent;
var(Pak36Factory)	Name	DeathEvent;
var(Pak36Factory)	float	NoShotProtectionDist;
var(Pak36Factory)	float	EnemyTooCloseDist;
var(Pak36Factory)	float	MaxFiringDist;
var(Pak36Factory)	float	KillZoneDist;
var()				bool	bAllowTNT;
var()				bool	RecruitImmediately;

var bool bPlayerUseable;

//---------------------------------------------------------
// Variables
//---------------------------------------------------------
var		WeapDEPak36_		Gun;
var gbxContextUseTrigger	TurretTrigger;	// Trigger to allow the player to mount the gun.

//---------------------------------------------------------
//	SpawnGun
//---------------------------------------------------------
function SpawnGun()
{
	Gun = Spawn( class'WeapDEPak36_', Self );
}

//---------------------------------------------------------
//	PostNetBeginPlay
//---------------------------------------------------------
function PostBeginPlay()
{
	local TNTTrigger aTNTTrigger;

	SpawnGun();

	Gun.GunnerToDraft = GunnerToDraft;
	Gun.LoaderToDraft = LoaderToDraft;
	Gun.MountEvent = MountEvent;
	Gun.DismountEvent = DismountEvent;
	Gun.NoShotProtectionDist = NoShotProtectionDist;
	Gun.EnemyTooCloseDist = EnemyTooCloseDist;
	Gun.MaxFiringDist = MaxFiringDist;
	Gun.KillZoneDist = KillZoneDist;
	Gun.bDontRecruit = !RecruitImmediately;
	Gun.Tag = Self.Tag;
	Gun.DeathEvent = DeathEvent;

	if ( bPlayerUseable )
	{
		TurretTrigger = spawn(class'gbxContextUseTrigger', Gun);
		TurretTrigger.SetCollisionSize( Self.CollisionRadius, TurretTrigger.CollisionHeight );
		TurretTrigger.m_eUseType=UsePak36;
		TurretTrigger.Event = Gun.Tag;
		TurretTrigger.SetBase(Self);
		TurretTrigger.SetCollision(true, false, false);
		Gun.MyTrigger = TurretTrigger;
	}
	else if ( bAllowTNT )
	{
		aTNTTrigger = Spawn( class'TNTTrigger', Gun );
		aTNTTrigger.SetCollisionSize( Self.CollisionRadius, aTNTTrigger.CollisionHeight );
		aTNTTrigger.m_aUseTarget = Gun;
		aTNTTrigger.SetBase(Self);
		aTNTTrigger.SetCollision(true, false, false);

		Gun.MyTNTTrigger = aTNTTrigger;
	}
}

//=========================================================
//	Default Properties
//=========================================================
defaultproperties
{
	DrawType=DT_Mesh
//	Mesh=Mesh'k_prop.de_pak36'
	EditorMeshName="k_prop.de_pak36"
	bHidden=true

	CollisionRadius=280.0

	MountEvent=Pak36_mount
	DismountEvent=Pak36_dismount

	NoShotProtectionDist=1000.0
	EnemyTooCloseDist=1500.0
	MaxFiringDist=10000

	KillZoneDist=5500.0

	bPlayerUseable=false
	bAllowTNT=true
	RecruitImmediately=true

	bOpaqueForSituationalAwarenessView=true

	bAlphaFogable=True
    bAlphaFogBlend=true
}
