class ShellDEPanzerfaustCasing extends KActor;

var Range SpinRange;

const CASING_LIFETIME=10.0;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_de.de_npc_weapons_temp.de_panzerfaust_spent", class'StaticMesh')));
}

simulated function ThrowCasing( Pawn WeapOwner )
{
	if( Level.NetMode == NM_Standalone )
	{
		KParams = new(Self,"PanzerCasingKarmaParams")class'KarmaParams';

		if( KParams != None && KarmaParams(KParams) != None )
		{
			KarmaParams(KParams).KMass=1.0;
			KarmaParams(KParams).KStartEnabled=false;
			KarmaParams(KParams).bHighDetailOnly=false;
			KarmaParams(KParams).KFriction=0.75000;
			KarmaParams(KParams).KRestitution=0.020000;
			KarmaParams(KParams).bKStayUpright=false;
			KarmaParams(KParams).KLinearDamping=0.2;
			KarmaParams(KParams).KAngularDamping=0.25;
			KarmaParams(KParams).KVelDropBelowThreshold=5.0;
			KarmaParams(KParams).KImpactThreshold=100.0;
			KarmaParams(KParams).KBuoyancy=0.2;
			KarmaParams(KParams).bDoSafeTime=true;
			KarmaParams(KParams).KStartLinVel = Vector( WeapOwner.GetViewRotation() ) * 512.0 >> Rot(0,16384,0);
			KarmaParams(KParams).KStartAngVel = Normal( Location - (WeapOwner.Location + WeapOwner.EyePosition()) ) * RandRange( SpinRange.Min, SpinRange.Max );

			SetPhysics( PHYS_Karma );

			KWake();
		}
	}
	else
	{
		SetPhysics( PHYS_Falling );
	}

	SetTimer( CASING_LIFETIME, false );
}

function Timer()
{
	SetPhysics( PHYS_None );
	Destroy();
}

defaultproperties
{
	CollisionRadius=+0015.000000
	CollisionHeight=+008.000000
	Physics=PHYS_None;
	bNoDelete=false
//	StaticMesh=StaticMesh's_npc_weapon_de.de_npc_weapons_temp.de_panzerfaust_spent'
	bBlockPlayers=False
	bBlockActors=False
	SpinRange=(Min=-256.0,Max=256.0);
	ImpactCueName="GEAR.DROPRIFLE"
}