class SingleBulletReloadFire extends InstantFire;

var array<Name>		ReloadAnimList;
var Name			LastShotFireAnim;
var float			LastShotFireRate;

function PlayFiring()
{
	if( Weapon.ClipAmt == 0 && Weapon.HasAnim(default.LastShotFireAnim) )
	{
		FireAnim = default.LastShotFireAnim;
		FireRateSP = default.LastShotFireRate;
		FireRateMP = default.LastShotFireRate;
	}
	else
	{
		FireAnim = default.FireAnim;
		FireRateSP = default.FireRateSP;
		FireRateMP = default.FireRateMP;
	}

	Super.PlayFiring();
}

simulated function PlayReloading()
{
	local gbxPlayerController gbxPC;
	local int AnimIndex;

	if (Weapon.ClipAmt >= Weapon.AmmoClipSize){
		gbxWeapon(Weapon).flAmmoFadeTime = AMMO_INVENTORY_SHOW_TIME;  //NAC: added this so that anytime the player presses the reload key, it shows the number of clips available.
		gbxWeapon(Weapon).flLastAmmoFadeTime = Level.TimeSeconds;
		return;
	}

	if (Instigator.IsA('Mind') && Instigator.IsMoving() && Instigator.bIsCrouched)
		return;

	gbxWeapon(Weapon).m_fAIWeaponWaitingToFire = false;
	gbxWeapon(Weapon).flAmmoFadeTime = AMMO_INVENTORY_SHOW_TIME;
	gbxWeapon(Weapon).flLastAmmoFadeTime = Level.TimeSeconds;

	gbxPC = gbxPlayerController(Instigator.Controller);

	//DHW + -- Added to prevent player from entering reload anim if he's out of ammo
	log(self$".PlayReloading() - "$Weapon.Ammo[0].AmmoAmount$" - "$Weapon.ClipAmt);
	if (Weapon.Ammo[0].AmmoAmount <= Weapon.ClipAmt)
	// GBX:PAD: The previous check was preventing partial clips from loading if the gun only had 1 partial clip
	// left.
//	if (Weapon.Ammo[0].AmmoAmount <= 0)
		return;
	//DHW -

	if( gbxWeapon(Weapon).m_fZoomed && gbxPC != None )
	{
		gbxPC.PendingDelayedAction = ReloadAfterZoomOut;
		gbxWeapon(Weapon).ForceUnzoom();
	}
	else
	{
		if( Weapon.ClipAmt == 0 )
		{
			DoPlayAnim(0);
		}
		else
		{
			AnimIndex = Min( Weapon.AmmoClipSize - Weapon.ClipAmt, default.ReloadAnimList.Length - 1 );
			DoPlayAnim( AnimIndex );
		}
	}
}

simulated function DoPlayAnim( int AnimIndex )
{
	if(Weapon.HasAnim( default.ReloadAnimList[AnimIndex] ) && !Weapon.bDelayReloading )
	{
		Weapon.ClientStopFire(0);

		Weapon.PlayAnim(default.ReloadAnimList[AnimIndex], ReloadAnimRate, TweenTime);

		Weapon.ClientState = WS_Reloading;
		bIsReloading = true;
	}

	if( WeaponAttachment( Weapon.ThirdPersonActor ) != None )
		Weapon.IncrementFlashCount( WeaponAttachment(Weapon.ThirdPersonActor).WEAP_StateReload );
}

defaultproperties
{
	ReloadAnimList[0]=reload
}