//=============================================================================
// WeapDEK98_
//=============================================================================
class WeapDEK98_ extends WargameWeapon
    config(user);

simulated function LoadWeaponMesh()
{
	Super.LoadWeaponMesh();
	Mesh = Mesh( DynamicLoadObject( "k_view_model_de.view_k98", class'Mesh' ) );
	m_NormalViewMesh = Mesh( DynamicLoadObject( "k_view_model_de.view_k98", class'Mesh' ) );
	m_ZoomViewMesh = Mesh( DynamicLoadObject( "k_view_model_de.view_k98_crosshair", class'Mesh' ) );
	LinkMesh( Mesh );
}

function byte BestMode()
{
	return 0;
}

function bool CanShootDuringMelee() 
{ 
	return false; 
}

defaultproperties
{
    ItemName="German K98 Rifle"

    FireModeClass(0)=FireDEK98_
    FireModeClass(1)=FireSecondaryItem
    FireModeClass(2)=FireMelee
    InventoryGroup=2
//	Mesh=Mesh'K_view_model_de.view_k98'
//	m_NormalViewMesh=Mesh'K_view_model_de.view_k98'
//	m_ZoomViewMesh=Mesh'K_view_model_de.view_k98_crosshair'
	m_nCharacterBodyIdx=3
    BobDamping=0.5
    PickupClass=class'PickupWeapDEK98_'
    EffectOffset=(X=100.0,Y=25.0,Z=-10.0)
	DisplayFOV=+50.0
    AttachmentClass=class'AttachmentDEK98_'

    DrawScale=1.0
	PlayerViewOffset=(X=20.000,Y=0.000000,Z=-0.50000)
    SelectSound=None

	AIRating=+0.4
    CurrentRating=0.4

	// This icon no longer exists.
	//Icon=material'WG_HUD.HUD.wpn_garand'

//	m_aClipIcon=material'WG_HUD.HUD.clip_garand'
//	m_flBulletHeight=18
//	m_flClipHeight=128
//	m_flClipWidth=128
//	m_fClipFront=true
//	m_aFrontBulletIcon=material'WG_HUD.HUD.ammo_bullet_frt'
//	m_aFrontBulletIcon=material't_interface_mb.HUD.ammo_30cal'
//	m_aBackBulletIcon=material'WG_HUD.HUD.ammo_bullet_bck'
	m_nBulletIconTextureX=258
	m_nBulletIconTextureY=177
	m_nClipIconTextureX=206
	m_nClipIconTextureY=177

	m_eWeaponType=WeaponPrimary
	MyMeleeDamageType=class'DamageUSGunButtMelee'

	DefaultAmmoCount(0)=65

	ZoomInAnim=aim_up
	ZoomOutAnim=aim_down
	SelectAnim=deploy
	PutDownAnim=holster
	IdleAnim(0)=idle_01
	IdleAnim(1)=idle_02
	IdleAnim(2)=idle_03

	AmmoClipSize=5

	m_flEncumberance=1.0
	m_fCanSprint=true

	WeaponBoneName=rifle_hold

	BreatheProfileClass=class'gbxMediumBreatheProfile'

	nIconX=465
	nIconY=0
	nIconW=19
	nIconH=137

	DEPawnPackGoreClass(0)=class'gbxInventory.ConscriptK98GoreSetup'
	DEPawnPackGoreClass(1)=class'gbxInventory.InfantryK98GoreSetup'
	DEPawnPackGoreClass(2)=class'gbxInventory.PanzerK98GoreSetup'
	DEPawnPackGoreClass(3)=class'gbxInventory.ParaSturmGoreSetup'

	WeaponName = WN_DEK98
}
