//=============================================================================
// WeapUSSpringfield
//=============================================================================
class WeapUSSpringfield extends WargameWeapon
    config(user);

simulated function LoadWeaponMesh()
{
	Super.LoadWeaponMesh();
	Mesh = Mesh( DynamicLoadObject( "k_view_model_us.view_springfield", class'Mesh' ) );
	m_NormalViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_springfield", class'Mesh' ) );
	m_ZoomViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_springfield_crosshair", class'Mesh' ) );
	LinkMesh( Mesh );
}

function byte BestMode()
{
	return 0;
}

defaultproperties
{
    ItemName="US M1903 Bolt-Action Rifle"

    FireModeClass(0)=FireUSSpringfield
    FireModeClass(1)=FireSecondaryItem
    FireModeClass(2)=FireMelee
    InventoryGroup=2
//	Mesh=Mesh'K_view_model_us.view_springfield'
//	m_NormalViewMesh=Mesh'K_view_model_us.view_springfield'
//	m_ZoomViewMesh=Mesh'K_view_model_us.view_springfield_crosshair'
	m_nCharacterBodyIdx=3
    BobDamping=0.5
    PickupClass=class'PickupWeapUSSpringfield'
    EffectOffset=(X=130.0,Y=23.0,Z=-20.0)
	DisplayFOV=+50.0
    AttachmentClass=class'AttachmentUSSpringfield'

    DrawScale=1.0
	PlayerViewOffset=(X=20.000,Y=0.000000,Z=-0.50000)
    SelectSound=None

	AIRating=+0.4
    CurrentRating=0.4

	// This icon no longer exists.
	//Icon=material'WG_HUD.HUD.wpn_garand'

//	m_aClipIcon=material'WG_HUD.HUD.clip_garand'
//	m_flBulletHeight=18
//	m_flClipHeight=128
//	m_flClipWidth=128
//	m_fClipFront=true
//	m_aFrontBulletIcon=material't_interface_mb.HUD.ammo_30cal'
//	m_aBackBulletIcon=material'WG_HUD.HUD.ammo_bullet_bck'
	m_nBulletIconTextureX=258
	m_nBulletIconTextureY=177
	m_nClipIconTextureX=206
	m_nClipIconTextureY=203

	m_eWeaponType=WeaponPrimary
	MyMeleeDamageType=class'DamageUSGunButtMelee'

	DefaultAmmoCount(0)=55

	ZoomFovMod=55.0000

	ZoomInAnim=aim_up
	ZoomOutAnim=aim_down
	SelectAnim=deploy
	PutDownAnim=holster
	IdleAnim(0)=idle_01
	IdleAnim(1)=idle_02
	IdleAnim(2)=idle_03
	BreathingAnim=breathe

	AmmoClipSize=5

	m_flEncumberance=1.0
	m_fCanSprint=true

	BreatheProfileClass=class'gbxSniperBreatheProfile'
	
	nIconX=409
	nIconY=0
	nIconW=26
	nIconH=122

	WeaponName = WN_USSpringfield
}
