//=============================================================================
// Base class for all grenades
//=============================================================================
class gbxGammonBomb extends gbxExplosive
	placeable;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_item_us.equipment.radio", class'StaticMesh')));
}

function bool DisplayContextMessage(gbxPlayerController PlayerController); // stubs for MP
function ClearContextMessage(gbxPlayerController PlayerController);

simulated function ProcessTouch(Actor Other, Vector HitLocation)
{
}

simulated function HitWall (vector HitLocation, vector HitNormal, actor Wall)
{
}

function bool ActivateBomb( Pawn User )
{
	StartExplosionTimer();
	return true;
}

function Trigger(actor Other, pawn EventInstigator)
{
	local gbxPlayerController	aController;
	
	//Log( self$ " gbxGammonBomb::Trigger() Other: " $Other, 'PSV');

	aController = gbxPlayerController(EventInstigator.Controller);
	if (aController != None)
	{
		//Log( self$ " gbxGammonBomb::Trigger() EventInstigator.Weapon" $EventInstigator.Weapon, 'PSV');
		if (gbxWeapon(EventInstigator.Weapon) != None)
		{
			//Log( self$ " gbxGammonBomb::Trigger() Calling PlantBombOnTarget()!", 'PSV');
			aController.PlantBombOnTarget( self );
		}
	}
	else
	{
		super.Trigger(Other,EventInstigator);

		//Log( self$ " gbxGammonBomb::Trigger() Calling StartExplosionTimer()!", 'PSV');

		StartExplosionTimer();
	}
}

defaultproperties
{
	ExplosionDecal=class'BlastMark'
	MyDamageType=class'DamageGammonBomb'
	speed=1000.000000
	MaxSpeed=1500.000000
	Damage=500.000000
	//DamageRadius=768.000000
	DamageRadius=375.000000	// GBX:naj - modified 4/5/04
	MomentumTransfer=50000
	//Mass=050.000
	Physics=PHYS_None
//	StaticMesh=StaticMesh's_npc_item_us.equipment.radio'
	DrawScale=1.00000
	AmbientGlow=64
	bBounce=True
	bFixedRotationDir=True
	DesiredRotation=(Pitch=12000,Yaw=5666,Roll=2334)
	DrawType=DT_STATICMESH
	Style=STY_Modulated

    ShakeRadius=2000.000000
	ViewRollTime=0.200000
	RollMag=20.000000
	RollRate=100.000000
	OffsetMagVertical=20.000000
	OffsetRateVertical=800.000000
	OffsetMagHorizontal=20.000000
	OffsetRateHorizontal=800.000000
	OffsetIterations=10.000000

	bBlowingUp=false

	FuseTimeMin=5.0
	FuseTimeMax=5.0

	HeavyTraumaRadius=384.0

    CollisionRadius=+005.000000
	CollisionHeight=+020.000000
	bCollideWhenPlacing=false

	LifeSpan=+0.000000

	bUnlit=false
	LightType=LT_None
}
